Subject: Re: [Gen-art] Gen-art review of draft-gont-intarea-obsolete-eid-option-01

From: "Moriarty, Kathleen" <[email-masked]>
Date: Mon, 12 Nov 2012 14:29:21 -0500

Thank you!

-----Original Message-----
From: Fernando Gont [mailto:[email-masked]] 
Sent: Monday, November 12, 2012 1:43 PM
To: Moriarty, Kathleen
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: Gen-art review of draft-gont-intarea-obsolete-eid-option-01

HI, Kathleen,

Thnas so much for your feedback. Please find my responses in-line...

On 10/25/2012 05:36 PM, Moriarty, Kathleen wrote:
> Summary:  The document needs a few small revisions. This document
> formally deprecates the IPv6 Endpoint Identification (EID) option
> (hex value 0x8a).

FWIW, I'll update the title to note that this in an IPv6 option.

> Major issues:
> 
> Minor issues: RFC2119 is referenced, but not used.  I don't see the
> use of any RFC2119 language in the document, so it may be safe to
> remove this reference.

Will do.

> I don't think the reference for EID option is valid.  I also looked
> at the reference in the IANA page and that no longer contains a link.
> From a google search, it looks like this was an internet draft that
> was never published as an RFC and expired,
> http://ana-3.lcs.mit.edu/~jnc/nimrod/eidoption.txt Listing it as "A
> work in progress" when it is an expired draft s not appropriate.

Ok, I will update this references as indicated.

> Nits/editorial comments:
> 
> I recommend changing the following portion of the abstract to state
> what is accomplished in this draft as the language is a little
> confusing: "possibly serving as a basis for providing advice" Since
> this draft doesn't actually provide the advice, just says it may
> provide a basis for providing the advice, I would recommend leaving
> this out of the abstract.

I've already applied such change -- thanks!

> Recommend removing "e.g." fromt he last sentence int he Security
> Considerations section as it is not needed. Change from: "However,
> formally deprecating this option may serve as a basis for e.g.
> providing advice about filtering packets containing such option (in a
> similar way to [I-D.ietf-opsec-ip-options-filtering] for the IPv4
> case)." TO: "However, formally deprecating this option may serve as a
> basis for providing advice about filtering packets containing such
> option (in a similar way to [I-D.ietf-opsec-ip-options-filtering] for
> the IPv4 case)."

I've removed such sentence altogether, upon suggestion by Wes Eddy.

Thanks!

Best regards,
-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492

---

From: Fernando Gont <[email-masked]>
Date: Mon, 12 Nov 2012 15:43:28 -0300

HI, Kathleen,

Will do.

Thanks!

Best regards,